none
Are we able to setup .NET Framework 4.5 (up to 4.5.2) on Windows 10? RRS feed

  • Question

  • Dear Experts,

    We have a lot of applications which are running on .NET framework 4.0 and 4.5.

    Some PC just upgraded to Windows 10 recently but I realized the built-in .NET framework is 4.6.

    We tried our app but it's not compatible. So need your help to install .NET framework 4.0 or 4.5 on Windows 10.

    Thanks all

    Thanh

    Monday, August 24, 2015 3:41 AM

Answers

  • .NET 4.5, 4.51, 4.5.2 and 4.6 are "highly compatible" in place updates to .NET Framework 4.0. As such, Windows 10 comes with .NET 4.0 THROUGH 4.6 as part of the OS.

    Your app should run fine unless the embedded framework is corrupt. You can check with this tool:

    http://blogs.msdn.com/b/astebner/archive/2008/10/13/8999004.aspx

    Run the tool with the .NET version your app uses selected, then observe the tool log.

    The first ~20 lines will show you which .NET versions are installed on your system.

    The last few lines of the log show the test app result. If return code = 0, the selected version is properly installed and you will need to provide more details about your failing app so you can be routed to the best forum for your issue.


    Monday, August 24, 2015 11:32 PM

All replies